Warehouse Keeper Sorint:
If you want to find rare coins, you should trade with other members. But you cannot start to trade until you have something to trade with, right? So, first, do your leg work to collect some coins. The hunters guild members are experts in finding hard to find items. So you can seek their help. You are already acquainted with the hunters guild president Bernard right?
Return